hadoop 配置snappy失败:配置报错 -问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

hadoop 配置snappy失败:配置报错 

kun坤 2020-06-02 19:49:45 243

我用的hadoop版本是Hadoop 2.6.0-cdh5.4.0 hadoop-snappy-0.0.1-SNAPSHOT\lib\native\Linux-amd64-64下编译好的文件放入hadoop的lib  文件夹下面  然后执行  hadoop  checknative  命令  看到 snappy 是false  求解啊

失败配置 失败app hadoopsnap报错 hadoop.sh报错 bad失败报错
分享到
取消 提交回答
全部回答(1)
  • kun坤
    2020-06-02 19:49:50

    Hadoop 2.6的时候已经集成了snappy,大概注意点:
    1、保证本地装好了snappy本地库
    2、编译hadoop的时候加上 -Drequire.snappy
    3、hadoop-snappy.jar那个包不要了 ######还有我是安装这个网址的资料装的 不知道对不对http://www.linuxidc.com/Linux/2014-05/101091.htm######能给个完整的安装步骤吗 ? 网上找的安装配置资料都太乱了。

    0 0
大数据
使用钉钉扫一扫加入圈子
+ 订阅

大数据计算实践乐园,近距离学习前沿技术

相似问题
最新问题